# 🔥 MEMORY (cukup untuk build Flutter modern)
org.gradle.jvmargs=-Xmx4G -Dfile.encoding=UTF-8

# 🚀 PERFORMANCE
org.gradle.parallel=true
org.gradle.caching=true

# 📱 ANDROIDX (WAJIB)
android.useAndroidX=true
android.enableJetifier=true

# 🔥 FIX ERROR PROVIDER (WAJIB untuk AGP 8+)
android.defaults.buildfeatures.buildconfig=true

# ⚙️ SDK OPTIMIZATION
android.suppressUnsupportedCompileSdk=34
android.nonTransitiveRClass=true
android.nonFinalResIds=true